Name:           perl-Set-Tiny
Version:        0.02
Release:        2%{?dist}
Summary:        Simple sets of strings

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~trendels/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TR/TRENDELS/Set-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
A thin wrapper around regular Perl hashes to perform
often needed set operations, such as testing two sets
of strings for equality, or checking whether one is
contained within the other.

%prep
%setup -q -n Set-Tiny-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README examples/benchmark.pl
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Jul 24 2015 momo-i <webmaster@momo-i.org> - 0.02-2
- Update to 0.02

* Thu Apr 16 2015 momo-i <webmaster@momo-i.rog> - 0.01-2
- Rebuilt for fc22

* Tue Jan 28 2014 momo-i <webmaster@momo-i.org> - 0.01-1
- Initial rpm release.
